# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global commit 1af9e38da770e9420edb75a2f95bbe9c045b7224
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global enable_tests 0

%global barename postcss

Name:               nodejs-postcss
Version:            2.2.0
Release:            1%{?dist}
Summary:            Framework for CSS postprocessors with full source map support

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/postcss

# See review ticket for rationale on using the github tarball:
# https://bugzilla.redhat.com/show_bug.cgi?id=1115702
#Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
# https://fedoraproject.org/wiki/Packaging:SourceURL#Github
# Keep in mind that github tarballs are generated on-demand, so their
# modification dates will vary and cause checksum tests to fail. Reviewers will
# need to use diff -r to verify the tarballs..
Source0:            https://github.com/postcss/postcss/archive/%{commit}/postcss-%{commit}.tar.gz

BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(source-map)
BuildRequires:      npm(base64-js)

Requires:           npm(source-map)
Requires:           npm(base64-js)

%if 0%{?enable_tests}
BuildRequires:      npm(cssom)
BuildRequires:      npm(fs-extra)
BuildRequires:      npm(gonzales)
BuildRequires:      npm(rework)
BuildRequires:      npm(should)
BuildRequires:      npm(mocha)
%endif


%description
PostCSS is a framework for CSS postprocessors, to modify CSS with JavaScript
with full source map support.

%prep
%setup -q -n postcss-%{commit}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep source-map ~0.1.x

# The gulpfile usually removes this..
%nodejs_fixdep -r es6-transpiler

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/postcss
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/postcss

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha
%endif


%files
%doc LICENSE README.md ChangeLog.md
%{nodejs_sitelib}/postcss/

%changelog
* Mon Aug 18 2014 Ralph Bean <rbean@redhat.com> - 2.2.0-1
- Latest upstream.
- Use github tarball instead of npmjs.
- Specify noarch.
- Remove es6-transpiler in the prep section

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Initial packaging for Fedora.
